Bug 438656 - unhandled exception ... Can't open /dev/sd__ exclusively. ...
unhandled exception ... Can't open /dev/sd__ exclusively. ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 03:33 EDT by xunilarodef
Modified: 2009-01-21 11:19 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 11:19:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description xunilarodef 2008-03-24 03:33:39 EDT
Description of problem:
The graphical installer crashes when attempting to write the
partitioning information to disk.  However, the exact same
partitioning instructions can be correctly performed by the text mode
installer of the same vintage, in the same situation.  [Yes, the text
mode installer later dies with another bug
  https://bugzilla.redhat.com/show_bug.cgi?id=437993 
, otherwise I would not be wasting the time to roll back to having a 
chunk of unallocated space in which to repeat the attempt.]

Version-Release number of selected component (if applicable):
anaconda 11.4.0.55

How reproducible:
  3 out of 3 attempts

Steps to Reproduce:
1. Start rawhide install via pxeboot using the images available on 03-23:
        initrd.img      23-Mar-2008 04:18       9492387
        vmlinuz	        23-Mar-2008 04:18       2141568
   (timestamp shown from mirror's web directory).
2. Select 'Reinstall System', progress through early install choices
   without adventure.
3. On "Installation requires partitioning ..." screen:
  - select "Use free space on selected drives and create default layout"
  - deselect default selected "Encrypt system" checkbox
  - select "Review and modify partioning layout" checkbox
4. On "Drive /dev/sda ..." (review) screen:
  - Delete the anaconda-created-in-free-space: 
      sda6  196M  ext3  /boot
    [As a result the the anaconda-created-in-free-space physical volume
    sda7 to be mounted as / is automatically renamed sda6 by anaconda.]
  - Edit the previously existing:
      sda2  101M  ext3 
    to mount it as /boot (there is sufficient free space within it to
    hold more versions).  Preserve data via "Do Not Format" command button:  
  - Delete the anaconda-created-in-free-space: 
      LV LogVol01                  1024M  swap
    since there already is another swap created and used by other Fedora
    installations.
  - Edit name of anaconda-created-in-free-space:
      LV LogVol00                  3520M  ext3  /
    to be LogVolF9 (to reduce confusion with pre-existing LogVol00)
5. Select the OK command button. 
6. Select the "Write partitioning to disk" command button. 
7. Rewarded with  -- Exception Occurred --.

Actual results:
An unhandled exception ...  install exited abnormally 

Expected results:
A successfully completed installation.

Additional info:
Can't open /dev/sda6 exclusively. ... But nothing but the anaconda installer
is running.  Remember, these same corrections can be made using the text 
mode installer, and it continues past correctly partitioning the disk.
Traceback included below (from graphical mode installer attempt).

p.s. Feeling defensive after a recent thorough search apparently missed
a previously reported duplicate (wasting a lot of my time).  Just in case
a duplicate appears out of thin air this time, seeking constructive 
critiques of:
 
https://bugzilla.redhat.com/buglist.cgi?product=Fedora&version=rawhide&component=anaconda&bug_status=NEW&bug_status=ASSIGNED&bug_status=NEEDINFO&bug_status=MODIFIED&short_desc_type=allwordssubstr&short_desc=&long_desc_type=allwordssubstr&long_desc=can%27t+open+exclusively
Zarro Boogs found
 
https://bugzilla.redhat.com/buglist.cgi?product=Fedora&version=rawhide&component=anaconda&bug_status=NEW&bug_status=ASSIGNED&bug_status=NEEDINFO&bug_status=MODIFIED&short_desc_type=allwordssubstr&short_desc=&long_desc_type=allwordssubstr&long_desc=
yields 194 bugs, < 19 possibly relevant per their summary, 0 per reading them

 - - - -
anaconda 11.4.0.55 exception report
Traceback (most recent call first):
 File "/usr/lib/anaconda/lvm.py", line 329 in pvcreate
  raise PVCreateError(node)
 File "/usr/lib/anaconda/fsset.py", line 2489, in setupDevice
  lvm.pvcreate(node)
 File "/usr/lib/anaconda/fsset.py", line 1815, in createLogicalVolumes
  entry.device.setupDevice(chroot)
 File "/usr/lib/anaconda/packages.py", line 164, in turnOnFilesystems
  anaconda.id.fsset.createLogicalVolumes(anaconda.rootPath)
 File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
  rc = stepFunc(self.anaconda)
 File "/usr/lib/anaconda/dispatch.py", line 131, in gotoNext
  self.moveStep()
 File "/usr/lib/anaconda/gui.py", line 1246, in nextClicked
  self.anaconda.dispatch.gotoNext()
PVCreateError: pvcreate of pv "/dev/sda6" failed
Log:
  Can't open /dev/sda6 exclusively.  Mounted filesystem?

Local variables in innermost frame:
node: /dev/sda6
args: ['pvcreate', '-ff', 'y', 'v', '/dev/sda6']
rc: 5
Comment 1 Bug Zapper 2008-05-14 02:48:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Joel Andres Granados 2008-11-05 11:01:19 EST
Wow, this one is old.  Sorry for not getting to this sooner.

The traceback tells me that it was while creating the pv that it failed, but this could be caused by many things.  Do you by any chance have the log files for the installation (anaconda-ks.cfg, install.log, install.log.syslog)?  I presume having this after such a long time is unlikely.  In which case I would like to persuade you to retest and see if this still is present in the current f10 version of fedora.

If you are going to give it another try, it would be of great help for you to provide the initial partition setup of the device that you are going to use to install. and the post installation logs.
Comment 3 Joel Andres Granados 2009-01-21 11:19:55 EST
please reopen if this is present in rawhide.

Note You need to log in before you can comment on or make changes to this bug.